package cn.pluss.platform.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.pluss.platform.entity.Suggest;

@Mapper
public interface SuggestMapper extends BaseMapper<Suggest> {

    public Suggest querySuggest(Suggest suggest);

    public List<Suggest> querySuggestList(Suggest suggest);

    public void saveSuggest(Suggest suggest);

    public void updateSuggest(Suggest suggest);

    public void deleteSuggest(Suggest suggest);

    public List<Suggest> querySuggestPage(Map map);

    public Integer querySuggestPageCount(Map map);

    public void saveSuggestBatch(List<Suggest>  suggestList);
}

